Description

When using models, and a monster shoots a missile it is

spawned from the center of the object. This looks fairly

strange, a good example is the cyberdemon.

It would be usefull if we could specifiy a spawn point (x

y z) in the ded that would enable missiles to be

spawned at the correct position (ie from the gun/hand

position).

This would also require the coords to be rotated based

on the object angle.

Dani J666

Labels: Customizability

Related issues:

Related to Feature #1276: Attach dynamic lights on models New 2003-09-04

History

#1 - 2003-07-02 23:05 - skyjake
Logged In: YES
user_id=717323

This shouldn't be too difficult to implement.

The Thing definition already has four Misc values, which
are currently unused by jDoom. It would be easiest to
have cylinder coordinates: Z offset, angle, distance from
mobj origin.

Only problem: Changing the spawn point is a change in
gameplay. Large offsets will break some maps (spawn
inside wall). Does it look good for both sprites and
models? The game can't alter gameplay depending on
whether models are enabled or not...

#2 - 2003-07-03 15:29 - skyjake

(originally posted by anonymous SF.net user)

Logged In: NO

Good point. It would have to be an option in that case.

The models should be roughly the same size as the sprites
though, so as long as they arn't bigger than the 'actual size'
defined by the game they shouldn't appear in walls?

Dani J666

#3 - 2013-10-20 21:12 - skyjake

- Tags set to 3DModel

- Category set to Enhancement
#4 - 2019-11-29 16:02 - skyjake

- Status changed from New to Rejected
